Subject: Re: rm and mv commands: should I use them?

From: David Brown <[email-masked]>
Date: Sun, 6 Jan 2008 21:01:28 -0800

On Sun, Jan 06, 2008 at 10:05:34PM -0500, Jay Soffian wrote:
>On 1/6/08, Jon Hancock <[email-masked]> wrote:
>> Additionally, is there
>> a simple procedure with git to say: "I want to version exactly what is
>> in my working tree.  If I removed something or added something, just
>> handle it".
>
>>>From http://www-cs-students.stanford.edu/~blynn/gitmagic/ch05.html#id2553633
>is the helpful hint:
>
>$ git-ls-files -d -m -o -z | xargs -0 git-update-index --add --remove

As long as your git is new enough to have git-add -u, you should be able to
do:

   $ git add .
   $ git add -u

and have the index match the working tree (keeping excludes out).

Dave